query getIncidents(
  $projectPath: ID!
  $issueTypes: [IssueType!]
  $state: IssuableState
  $firstPageSize: Int
  $lastPageSize: Int
  $prevPageCursor: String = ""
  $nextPageCursor: String = ""
  $searchTerm: String
) {
  project(fullPath: $projectPath) {
    issues(
      search: $searchTerm
      state: $state
      types: $issueTypes
      first: $firstPageSize
      last: $lastPageSize
      after: $nextPageCursor
      before: $prevPageCursor
    ) {
      nodes {
        iid
        title
        createdAt
        state
        labels {
          nodes {
            title
            color
          }
        }
        assignees {
          nodes {
            name
            username
            avatarUrl
            webUrl
          }
        }
        statusPagePublishedIncident
      }
      pageInfo {
        hasNextPage
        endCursor
        hasPreviousPage
        startCursor
      }
    }
  }
}
